package com.quansu.gaode.componnent;

import android.content.Intent;
import android.util.Log;
import com.billy.cc.core.component.CC;
import com.billy.cc.core.component.CCResult;
import com.billy.cc.core.component.IComponent;
import com.quansu.gaode.activity.GaodeActivity;
import com.ysnows.base.base.BApp;
import com.ysnows.base.ccextension.BIComponent;



public class CpGaode extends BIComponent implements IComponent {

    public boolean selectLocation(CC cc) {

        Log.e("-shy-", "---3333- ");

        Intent intent = new Intent(BApp.instance().getApplicationContext(), GaodeActivity.class);
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_EXCLUDE_FROM_RECENTS);
        BApp.instance().getApplicationContext().startActivity(intent);

        // UiSwitch.single(BaseApp.getInstance().getApplicationContext(), com.quansu.gaode.activity.GaodeActivity.class);


        CC.sendCCResult(cc.getCallId(), CCResult.success());

        return false;
    }


}



